Subject: bug#16161: 24.3.50; gnutls connections from Gnus no longer work after r115526

From: Ted Zlatanov <[email-masked]>
Date: Mon, 16 Dec 2013 10:53:49 -0500

On Mon, 16 Dec 2013 12:51:59 +0000 Nix <[email-masked]> wrote: 

N> On 16 Dec 2013, [email-masked] stated:
>> You are told 'cannot open server due to (wrong-type-argument listp
>> nil))'. Editing out the condition-case in gnus-open-server reveals the
>> backtrace below. I suspect the problem is the CHECK_LIST_CONS() in
>> gnutls-boot, which demands that verify-error is a cons, thus non-nil,
>> but I'm too unfamiliar with the code to be sure. I'll try diking it out
>> and see what happens.

N> Indeed it is, but this is not Ted's fault, it's Paul's. Reverting

N> revno: 115532
N> committer: Paul Eggert <[email-masked]>
N> branch nick: trunk
N> timestamp: Sat 2013-12-14 20:20:53 -0800
N> message:
N>   Use bool for boolean (GLYPH_DEBUG case).

N>   * xdisp.c (trace_redisplay_p) [GLYPH_DEBUG]:
N>   Use bool for boolean.
N>   * dispextern.h (IF_DEBUG): Properly parenthesize and convert to void.
N>   Args must now be expressions; all callers changed.

N> fixes it (and brings back the error message dropped by this change).

N> Don't forget that (listp nil) -> t... CHECK_LIST_CONS doesn't work like
N> that at all.

I've changed the `CHECK_LIST_CONS' back to `Flistp' but the rest of the
commit was good and involved unrelated changes, so I didn't revert it.
I actually thought nil would pass `CHECK_LIST_CONS' too :)

Please confirm it works for you again and we can close this; Paul can
see if anything else needs adjusting.

Ted